A ResizeEvent is dispatched by the stage when the size of the Flash container changes. Use it to update the Starling viewport and the stage size.

The event contains properties containing the updated width and height of the Flash player. If you want to scale the contents of your stage to fill the screen, update the `Starling.current.viewPort` rectangle accordingly. If you want to make use of the additional screen estate, update the values of `stage.stageWidth` and `stage.stageHeight` as well.

@see starling.display.Stage @see starling.core.Starling

### Hierarchy

- Event
  - ResizeEvent

## Index

### Constructors

- constructor

### Properties

- bubbles
- currentTarget
- data
- height
- target
- type
- width
- ADDED
- ADDED_TO_STAGE
- CANCEL
- CHANGE
- CLOSE
- COMPLETE
- CONTEXT3D_CREATE
- ENTER_FRAME
- FATAL_ERROR
- IO_ERROR
- OPEN
- PARSE_ERROR
- READY
- REMOVED
- REMOVED_FROM_STAGE
- REMOVE_FROM_JUGGLER
- RENDER
- RESIZE
- ROOT_CREATED
- SCROLL
- SECURITY_ERROR
- SELECT
- TEXTURES_RESTORED
- TRIGGERED
- UPDATE

### Methods

- get_height
- get_width
- stopImmediatePropagation
- stopPropagation
- toString

## Constructors

### constructor

- new ResizeEvent(type: string, width: number, height: number, bubbles?: boolean): ResizeEvent

- Overrides Event.constructor

  - Defined in lib/starling/events/ResizeEvent.d.ts:21

  Creates a new ResizeEvent.

  #### Parameters

  - ##### type: string

  - ##### width: number

  - ##### height: number

  - ##### Optional bubbles: boolean

  #### Returns ResizeEvent

## Properties

### bubbles

bubbles: boolean

Inherited from Event.bubbles

- Defined in lib/starling/events/Event.d.ts:94

Indicates if event will bubble.

### currentTarget

currentTarget: EventDispatcher

Inherited from Event.currentTarget

- Defined in lib/starling/events/Event.d.ts:100

The object the event is currently bubbling at.

### data

data: any

Inherited from Event.data

- Defined in lib/starling/events/Event.d.ts:106

Arbitrary data that is attached to the event.

### height

height: number

- Defined in lib/starling/events/ResizeEvent.d.ts:31

The updated height of the player.

### target

target: EventDispatcher

Inherited from Event.target

- Defined in lib/starling/events/Event.d.ts:97

The object that dispatched the event.

### type

type: string

Inherited from Event.type

- Defined in lib/starling/events/Event.d.ts:103

A string that identifies the event.

### width

width: number

- Defined in lib/starling/events/ResizeEvent.d.ts:27

The updated width of the player.

### Static ADDED

ADDED: string

Inherited from Event.ADDED

- Defined in lib/starling/events/Event.d.ts:28

Event type for a display object that is added to a parent.

### Static ADDED_TO_STAGE

ADDED_TO_STAGE: string

Inherited from Event.ADDED_TO_STAGE

- Defined in lib/starling/events/Event.d.ts:30

Event type for a display object that is added to the stage

### Static CANCEL

CANCEL: string

Inherited from Event.CANCEL

- Defined in lib/starling/events/Event.d.ts:67

An event type to be utilized in custom events. Not used by Starling right now.

### Static CHANGE

CHANGE: string

Inherited from Event.CHANGE

- Defined in lib/starling/events/Event.d.ts:65

An event type to be utilized in custom events. Not used by Starling right now.

### Static CLOSE

CLOSE: string

Inherited from Event.CLOSE

- Defined in lib/starling/events/Event.d.ts:73

An event type to be utilized in custom events. Not used by Starling right now.

### Static COMPLETE

COMPLETE: string

Inherited from Event.COMPLETE

- Defined in lib/starling/events/Event.d.ts:42

Event type that may be used whenever something finishes.

### Static CONTEXT3D_CREATE

CONTEXT3D_CREATE: string

Inherited from Event.CONTEXT3D_CREATE

- Defined in lib/starling/events/Event.d.ts:44

Event type for a (re)created stage3D rendering context.

### Static ENTER_FRAME

ENTER_FRAME: string

Inherited from Event.ENTER_FRAME

- Defined in lib/starling/events/Event.d.ts:32

Event type for a display object that is entering a new frame.

### Static FATAL_ERROR

FATAL_ERROR: string

Inherited from Event.FATAL_ERROR

- Defined in lib/starling/events/Event.d.ts:62

Event type that is dispatched by the Starling instance when it encounters a problem from which it cannot recover, e.g. a lost device context.

### Static IO_ERROR

IO_ERROR: string

Inherited from Event.IO_ERROR

- Defined in lib/starling/events/Event.d.ts:54

Event type that is dispatched by the AssetManager when a file/url cannot be loaded.

### Static OPEN

OPEN: string

Inherited from Event.OPEN

- Defined in lib/starling/events/Event.d.ts:71

An event type to be utilized in custom events. Not used by Starling right now.

### Static PARSE_ERROR

PARSE_ERROR: string

Inherited from Event.PARSE_ERROR

- Defined in lib/starling/events/Event.d.ts:59

Event type that is dispatched by the AssetManager when an xml or json file couldn't be parsed.

### Static READY

READY: string

Inherited from Event.READY

- Defined in lib/starling/events/Event.d.ts:77

An event type to be utilized in custom events. Not used by Starling right now.

### Static REMOVED

REMOVED: string

Inherited from Event.REMOVED

- Defined in lib/starling/events/Event.d.ts:34

Event type for a display object that is removed from its parent.

### Static REMOVED_FROM_STAGE

REMOVED_FROM_STAGE: string

Inherited from Event.REMOVED_FROM_STAGE

- Defined in lib/starling/events/Event.d.ts:36

Event type for a display object that is removed from the stage.

### Static REMOVE_FROM_JUGGLER

REMOVE_FROM_JUGGLER: string

Inherited from Event.REMOVE_FROM_JUGGLER

- Defined in lib/starling/events/Event.d.ts:50

Event type for an animated object that requests to be removed from the juggler.

### Static RENDER

RENDER: string

Inherited from Event.RENDER

- Defined in lib/starling/events/Event.d.ts:46

Event type that is dispatched by the Starling instance directly before rendering.

### Static RESIZE

RESIZE: string

Overrides Event.RESIZE

- Defined in lib/starling/events/ResizeEvent.d.ts:21

Event type for a resized Flash player.

### Static ROOT_CREATED

ROOT_CREATED: string

Inherited from Event.ROOT_CREATED

- Defined in lib/starling/events/Event.d.ts:48

Event type that indicates that the root DisplayObject has been created.

### Static SCROLL

SCROLL: string

Inherited from Event.SCROLL

- Defined in lib/starling/events/Event.d.ts:69

An event type to be utilized in custom events. Not used by Starling right now.

### Static SECURITY_ERROR

SECURITY_ERROR: string

Inherited from Event.SECURITY_ERROR

- Defined in lib/starling/events/Event.d.ts:56

Event type that is dispatched by the AssetManager when a file/url cannot be loaded.

### Static SELECT

SELECT: string

Inherited from Event.SELECT

- Defined in lib/starling/events/Event.d.ts:75

An event type to be utilized in custom events. Not used by Starling right now.

### Static TEXTURES_RESTORED

TEXTURES_RESTORED: string

Inherited from Event.TEXTURES_RESTORED

- Defined in lib/starling/events/Event.d.ts:52

Event type that is dispatched by the AssetManager after a context loss.

### Static TRIGGERED

TRIGGERED: string

Inherited from Event.TRIGGERED

- Defined in lib/starling/events/Event.d.ts:38

Event type for a triggered button.

### Static UPDATE

UPDATE: string

Inherited from Event.UPDATE

- Defined in lib/starling/events/Event.d.ts:79

An event type to be utilized in custom events. Not used by Starling right now.

## Methods

### Protected get_height

- get_height(): number

- - Defined in lib/starling/events/ResizeEvent.d.ts:32

  #### Returns number

### Protected get_width

- get_width(): number

- - Defined in lib/starling/events/ResizeEvent.d.ts:28

  #### Returns number

### stopImmediatePropagation

- stopImmediatePropagation(): void

- Inherited from Event.stopImmediatePropagation

  - Defined in lib/starling/events/Event.d.ts:88

  Prevents any other listeners from receiving the event.

  #### Returns void

### stopPropagation

- stopPropagation(): void

- Inherited from Event.stopPropagation

  - Defined in lib/starling/events/Event.d.ts:85

  Prevents listeners at the next bubble stage from receiving the event.

  #### Returns void

### toString

- toString(): string

- Inherited from Event.toString

  - Defined in lib/starling/events/Event.d.ts:91

  Returns a description of the event, containing type and bubble information.

  #### Returns string

Generated using TypeDoc